## RBStatusbar

RBStatusbar — status bar widget

## Functions

RBStatusbar * | rb_statusbar_new ()
void | rb_statusbar_set_page ()

## Properties

RhythmDB * | db | Read / Write
RBDisplayPage * | page | Read / Write

## Types and Values

struct | RBStatusbar
struct | RBStatusbarClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkStatusbar
                            ╰── RBStatusbar

## Implemented Interfaces

RBStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The status bar is displayed at the bottom of the main window. It consists of some status text and a progress bar.

The status text usually comes from the selected page, and typically shows the number of songs, the total duration and the total file size. When a menu is open, however, the status text shows the description of the currently selected menu item.

The progress bar shows progress information from a variety of sources. The page that is currently selected in the display page tree can provide progress information, such as buffering feedback, track transfer status, or progress for updating a song catalog. If the page does not provide status information and the database is busy (loading the database from disk, processing a query, etc.) the progress bar will be pulsed periodically.

## Functions

### rb_statusbar_new ()

    RBStatusbar *
    rb_statusbar_new (RhythmDB *db);

Creates the status bar widget.

#### Parameters

db | the RhythmDB instance |

#### Returns

the status bar widget

### rb_statusbar_set_page ()

    void
    rb_statusbar_set_page (RBStatusbar *statusbar,
                           RBDisplayPage *page);

Updates the status bar for a newly selected page.

#### Parameters

statusbar | the RBStatusbar |
page | the new selected RBDisplayPage |

## Types and Values

### struct RBStatusbar

    struct RBStatusbar;

### struct RBStatusbarClass

    struct RBStatusbarClass {
    	GtkStatusbarClass parent_class;
    };

## Property Details

### The `“db”` property

      “db”                       RhythmDB *

The RhythmDB instance

Flags: Read / Write

### The `“page”` property

      “page”                     RBDisplayPage *

The currently selected RBDisplayPage

Flags: Read / Write